
QGIS Application - Bug report #13573

Composer scale bar : the alignment option doesn't work

2015-10-12 03:33 AM - Harrissou Santanna

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 21615

Description

Steps:

Add a scale bar in a print composer.

In its properties, Display > Alignment, whatever option you choose nothing happens.

master 15af5a1

History

#1 - 2015-10-12 03:51 AM - Harrissou Santanna

If the style chosen for the scale bar is "numeric" then the alignment works.

Since this option is active for the other styles, it should align the text with the border of the segments.

#2 - 2017-05-01 01:06 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#3 - 2017-11-21 02:31 AM - Nyall Dawson

- Resolution set to fixed/implemented

- Status changed from Open to Closed

- Description updated

Fixed in 3.0 - the alignment option is disabled for non-numeric scale bars.

The correct way to lock the reference position of items during resizing is to set the item's reference point - this works correctly for scalebars in 2.x and 3.0.
